Subject: Re: [Gen-art] Summary for the changes in hiopt-13

From: Heejin Jang <[email-masked]>
Date: Wed, 16 Apr 2008 02:26:51 +0000 (GMT)

Hi, Jari.

Kindly see below. 

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]] 
> Sent: Tuesday, April 15, 2008 6:43 PM
> To: [email-masked]
> Cc: Alfred ?; [email-masked]; 
> [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]; 
> [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: Summary for the changes in hiopt-13
> 
> Thanks for the new version. I would still like you to revise 
> this one more time (see below). In addition, I would like at 
> least one of the MEXT chairs to review this draft, given the 
> number of changes due to the
> v4 support and Alfred's review. And Alfred, can you review 
> the -13 so to ensure your changes were correctly edited in? 
> (Except the ones that I said we will not take.)
> 
> I have reviewed the changes in -13 [1] and found the to be 
> according to the agreement. However, the following new issues 
> have crept in:
> 
> Introduction claims that this draft supports Mobile IPv4. 
> When on Pasi's request we added IPv4 support, I believe we 
> meant to support Mobile IPv6 home agents that have an IPv4 
> address. NOT Mobile IPv4. Please revise Section 3, 3.3, 4.3, 
> and 6 accordingly.

I'll do it as soon as I receive a reply from you for my previous mail.

> Section 3.3 specifies a scheme where in addition to the FQDN 
> the option also includes a flag to indicate IPv4 vs. IPv6 
> support. I believe this is unnecessary and in fact harmful. 
> We have a DNS system that is perfectly capable of returning 
> the set of IPv4 and IPv6 addresses that have been configured 
> for a particular fqdn. This should be used instead.
> This avoids mistakes such as those where you say in DHCP the 
> home agent is IPv6 capable when in fact it does not have AAAA 
> record in DNS. And, the one bit flag can only support a 
> subset of scenarios already supported by DNS. (Such as IPv4 
> only.) Please take away the flags byte.

Ok.

> IANA considerations section lists one value as "-2" when it 
> should be "2".
> 
> One RFC Editor note has been taken into account. Please 
> change this to the -14:

Ok.

> 
> Please change in Section 3.1:
> 
> OLD:
>                2    No preference
> NEW:
>                2    No preference by the mobile node

Ok.
 
> Jari
> 
> [1]
> http://tools.ietf.org/wg/mip6/draft-ietf-mip6-hiopt/draft-ietf
> -mip6-hiopt-13-from-12.diff.html
> 
_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art